| Haskell Hierarchical Libraries (fgl package) | Source code | Contents | Index
Data.Graph.Inductive.Query.ArtPoint
Synopsis
ap :: Graph gr => gr a b -> [Node]
Documentation
ap :: Graph gr => gr a b -> [Node]
Finds the articulation points for a connected undirected graph, by using the low numbers criteria: a) The root node is an articulation point iff it has two or more children. b) An non-root node v is an articulation point iff there exists at least one child w of v such that lowNumber(w) >= dfsNumber(v).
Produced by Haddock version 0.8